define({ "api": [
  {
    "type": "get",
    "url": "common",
    "title": "公共参数说明",
    "version": "1.0.0",
    "name": "common",
    "group": "Common",
    "description": "<p>介绍公共参数</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "json",
            "description": "<p>是否返回json格式的数据1为返回2为不返回</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "signature",
            "description": "<p>用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "pg",
            "description": "<p>用于分页传参，比如请求第二页数据，则加上该参数pg=2，没有分页和瀑布流不需要该参数</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "status",
            "description": "<p>状态，1为有效2为无效</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "msg",
            "description": "<p>请求的数据是否成功的提示</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data",
            "description": "<p>如果status为1,data有值</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "page",
            "description": "<p>分页信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "page.total",
            "description": "<p>分页总数</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "page.current_page",
            "description": "<p>当前页</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "page.total_page",
            "description": "<p>总页数</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "page.next_page",
            "description": "<p>下一页</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "page.prev_page",
            "description": "<p>上一页</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "page.status",
            "description": "<p>是否有下一页数据，0为没有</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Common"
  },
  {
    "type": "get",
    "url": "passport/?l=applet.bind",
    "title": "用户登录",
    "version": "1.0.0",
    "name": "applet_bind",
    "group": "Passport",
    "description": "<p>用户登录</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "code",
            "description": "<p>微信登录返回的code</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "vid",
            "description": "<p>微信id，请保存在本地</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id，请保存在本地</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Passport"
  },
  {
    "type": "get",
    "url": "passport/?l=applet.bind_mobile",
    "title": "绑定手机号-验证码绑定",
    "version": "1.0.0",
    "name": "applet_bind_mobile",
    "group": "Passport",
    "description": "<p>绑定手机号-验证码绑定</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "mobile",
            "description": "<p>手机号</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mcode",
            "description": "<p>验证码</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id，请保存在本地</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Passport"
  },
  {
    "type": "get",
    "url": "passport/?l=applet.mobile",
    "title": "更新用户手机号-微信绑定",
    "version": "1.0.0",
    "name": "applet_mobile",
    "group": "Passport",
    "description": "<p>更新用户手机号-微信绑定</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "iv",
            "description": "<p>微信的加密参数</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "encryptedData",
            "description": "<p>微信的加密参数</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "vid",
            "description": "<p>微信id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "vid",
            "description": "<p>微信id，请保存在本地</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id，请保存在本地</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Passport"
  },
  {
    "type": "get",
    "url": "passport/?l=applet.update",
    "title": "更新用户信息",
    "version": "1.0.0",
    "name": "applet_update",
    "group": "Passport",
    "description": "<p>更新用户信息</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "nickname",
            "description": "<p>用户昵称</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "avatarurl",
            "description": "<p>用户头像</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "iv",
            "description": "<p>微信的加密参数</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "encryptedData",
            "description": "<p>微信的加密参数</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "vid",
            "description": "<p>微信id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "vid",
            "description": "<p>微信id，请保存在本地</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id，请保存在本地</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Passport"
  },
  {
    "type": "get",
    "url": "passport/?l=reg.getMCode",
    "title": "获取手机验证码",
    "version": "1.0.0",
    "name": "reg_getMCode",
    "group": "Passport",
    "description": "<p>获取手机验证码</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "mobile",
            "description": "<p>手机号</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "msg",
            "description": "<p>验证码已发送至您的手机，请注意查收，十分钟之内有效</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Passport"
  },
  {
    "type": "get",
    "url": "product/?l=api.addAddress",
    "title": "添加收货地址",
    "version": "1.0.0",
    "name": "api_addAddress",
    "group": "Product",
    "description": "<p>添加收货地址</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "name",
            "description": "<p>收货人姓名</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "address",
            "description": "<p>收货人地址</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mobile",
            "description": "<p>收货人联系电话</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data",
            "description": "<p>返回ok</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Product"
  },
  {
    "type": "get",
    "url": "product/?l=api.addCarts",
    "title": "添加产品到购物车",
    "version": "1.0.0",
    "name": "api_addCarts",
    "group": "Product",
    "description": "<p>添加产品到购物车</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "product_id",
            "description": "<p>产品id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "num",
            "description": "<p>数量</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data",
            "description": "<p>返回ok</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Product"
  },
  {
    "type": "get",
    "url": "product/?l=api.buy",
    "title": "发起微信支付",
    "version": "1.0.0",
    "name": "api_buy",
    "group": "Product",
    "description": "<p>发起微信支付</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "product_id",
            "description": "<p>产品id，多个用逗号隔开</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "num",
            "description": "<p>产品数量，多个用逗号隔开</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "name",
            "description": "<p>收货人姓名</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "address",
            "description": "<p>收货人地址</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mobile",
            "description": "<p>收货人联系电话</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "invite_uid",
            "description": "<p>邀请人uid，scene参数中的uid</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "pay",
            "description": "<p>微信支付返回的数据</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "pay.time",
            "description": "<p>服务器时间戳</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "pay.nonce_str",
            "description": "<p>随机字符串</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "pay.prepay_id",
            "description": "<p>统一下单接口返回的 prepay_id 参数值，通过'prepay_id=' + prepay_id 拼装成package</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "pay.sign_type",
            "description": "<p>签名算法</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "pay.sign",
            "description": "<p>签名</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Product"
  },
  {
    "type": "get",
    "url": "product/?l=api.carts",
    "title": "获取购物车列表",
    "version": "1.0.0",
    "name": "api_carts",
    "group": "Product",
    "description": "<p>获取购物车列表</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "carts",
            "description": "<p>购物车信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "carts.product",
            "description": "<p>产品信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "carts.num",
            "description": "<p>数量</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "address",
            "description": "<p>收货地址</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "address.name",
            "description": "<p>收货人姓名</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "address.address",
            "description": "<p>收货人地址</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "address.mobile",
            "description": "<p>收货人联系电话</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Product"
  },
  {
    "type": "get",
    "url": "product/?l=api.checkCode",
    "title": "根据兑换码获取产品信息",
    "version": "1.0.0",
    "name": "api_checkCode",
    "group": "Product",
    "description": "<p>根据兑换码获取产品信息</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "code",
            "description": "<p>兑换码</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "product",
            "description": "<p>产品信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.id",
            "description": "<p>产品id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.pic",
            "description": "<p>产品封面</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.focus",
            "description": "<p>产品轮播图 多个用逗号隔开</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.content",
            "description": "<p>内容</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.price",
            "description": "<p>显示价格</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "product.pay_price",
            "description": "<p>支付价格</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "address",
            "description": "<p>收货地址</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "address.name",
            "description": "<p>收货人姓名</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "address.address",
            "description": "<p>收货人地址</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "address.mobile",
            "description": "<p>收货人联系电话</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Product"
  },
  {
    "type": "get",
    "url": "product/?l=api.code",
    "title": "提交兑换码",
    "version": "1.0.0",
    "name": "api_code",
    "group": "Product",
    "description": "<p>提交兑换码</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "product_id",
            "description": "<p>产品id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "code",
            "description": "<p>兑换码</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "name",
            "description": "<p>收货人姓名</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "address",
            "description": "<p>收货人地址</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mobile",
            "description": "<p>收货人联系电话</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "invite_uid",
            "description": "<p>邀请人uid，scene参数中的uid</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Product"
  },
  {
    "type": "get",
    "url": "product/?l=api.delCarts",
    "title": "从购物车删除产品",
    "version": "1.0.0",
    "name": "api_delCarts",
    "group": "Product",
    "description": "<p>从购物车删除产品</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "product_id",
            "description": "<p>产品id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data",
            "description": "<p>返回ok</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Product"
  },
  {
    "type": "get",
    "url": "product/?l=api.home",
    "title": "获取首页数据",
    "version": "1.0.0",
    "name": "api_home",
    "group": "Product",
    "description": "<p>获取首页数据</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id 所有Service接口中都有该项</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "config",
            "description": "<p>基本配置 所有Service接口中都有该项</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.name",
            "description": "<p>小程序名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.logo",
            "description": "<p>小程序logo</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "focus",
            "description": "<p>焦点图 暂时无用</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "focus.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "focus.pic",
            "description": "<p>图片</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "product",
            "description": "<p>产品列表</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.id",
            "description": "<p>产品id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.pic",
            "description": "<p>产品封面</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.focus",
            "description": "<p>产品轮播图 多个用逗号隔开</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.content",
            "description": "<p>内容</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.price",
            "description": "<p>显示价格</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "product.pay_price",
            "description": "<p>支付价格</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Product"
  },
  {
    "type": "get",
    "url": "product/?l=api.order",
    "title": "我的订单",
    "version": "1.0.0",
    "name": "api_order",
    "group": "Product",
    "description": "<p>我的订单</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "order",
            "description": "<p>订单信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.order_id",
            "description": "<p>订单编号</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.del_status",
            "description": "<p>产品在线状态1为在线2为已下线</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Product"
  },
  {
    "type": "get",
    "url": "product/?l=api.poster",
    "title": "生成海报",
    "version": "1.0.0",
    "name": "api_poster",
    "group": "Product",
    "description": "<p>生成海报</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "product_id",
            "description": "<p>产品id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "path",
            "description": "<p>生成的二维码跳转的path，请不要带上参数，该path会自动加上scene=uid,product_id，请直接在onLoad 的方法中解析该参数：const scene = decodeURIComponent(options.scene);scene = scene.split(',');var uid = scene[0];var product_id = scene[1];如果有该参数，请直接跳转到产品详情页。并且请本地记录下uid。支付或者兑换使用。</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "pic",
            "description": "<p>直接返回海报图片</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Product"
  },
  {
    "type": "get",
    "url": "product/?l=api.view",
    "title": "获取产品详情",
    "version": "1.0.0",
    "name": "api_view",
    "group": "Product",
    "description": "<p>获取产品详情</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "id",
            "description": "<p>产品id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "focus",
            "description": "<p>焦点图</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "focus.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "focus.pic",
            "description": "<p>图片</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "product",
            "description": "<p>产品信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.id",
            "description": "<p>产品id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.pic",
            "description": "<p>产品封面</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.focus",
            "description": "<p>产品轮播图 多个用逗号隔开</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.content",
            "description": "<p>内容</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.price",
            "description": "<p>显示价格</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "product.pay_price",
            "description": "<p>支付价格</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Product"
  },
  {
    "type": "get",
    "url": "product/?l=api.writeFormId",
    "title": "记录formid，用于发送通知 请再按钮的地方加上该接口请求",
    "version": "1.0.0",
    "name": "api_writeFormId",
    "group": "Product",
    "description": "<p>记录formid，用于发送通知</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "product_id",
            "description": "<p>产品id</p>"
          }
        ]
      }
    },
    "filename": "/root/input/doc/apidoc.php",
    "groupTitle": "Product"
  },
  {
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "optional": false,
            "field": "varname1",
            "description": "<p>No type.</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "varname2",
            "description": "<p>With type.</p>"
          }
        ]
      }
    },
    "type": "",
    "url": "",
    "version": "0.0.0",
    "filename": "/root/input/doc/main.js",
    "group": "_root_input_doc_main_js",
    "groupTitle": "_root_input_doc_main_js",
    "name": ""
  }
] });
