<?php
namespace Product\Src;

use Dever;

class Api extends Base
{
    # 首页
    public function home()
    {
        # 焦点图
        $this->data['focus'] = Dever::db('main/focus')->getAll();

        # 产品列表
        $this->data['product'] = Dever::db('product/info')->getAll();

        return $this->data;
    }

    # 查看详情
    public function view()
    {
    	$id = Dever::input('id', false, '> 0', '请传入正确的产品id');

        $this->data['product'] = Dever::db('product/info')->one($id);

        return $this->data;
    }

    # 订单
    public function order()
    {
    	# 订单列表
        $this->data['order'] = Dever::db('product/order')->getAll(array('uid' => $this->data['uid']));

        if ($this->data['order']) {
        	foreach ($this->data['order'] as $k => $v) {
                $this->data['order'][$k] = $this->getOrderOne($v);
        	}
        }

        return $this->data;
    }

    private function getOrderOne($v)
    {
        $order = $v;
        $order['del_status'] = 1;
        $order['product'] = Dever::db('product/info')->one($v['product_id']);
        if (!$order['product']) {
            $order['del_status'] = 2;
        }
        return $order;
    }

    # 海报
    public function poster() 
    {
        $id = Dever::input('product_id');
        $template = Dever::input('template', 'share');
        $path = Dever::input('path', 'template/home/index');
        $info = Dever::db('product/info')->one($id);
        $scene = $this->data['uid'] . ',' . $id;

        $send['project'] = Dever::input('project', 1);
        $send['send'] = $scene;
        $send['width'] = 152;
        $send['path'] = $path;
        $logo = Dever::load('wechat_applet/code.get', $send);

        $model = array
        (
            //'pic' => Dever::local($info['pic']),
            //'name' => $info['name'],
            'logo' => Dever::local(str_replace('https', 'http', $logo)),
        );
        $template = $info['share'];
        $img = Dever::load('poster/api')->get($scene, $template, $model);
        return $img;
    }

    # 购买
    public function buy()
    {
        $address_name = Dever::input('name');
        $mobile = Dever::input('mobile');
        $address = Dever::input('address');
        $invite_uid = Dever::input('invite_uid', 0);

    	$products = $product_id = Dever::input('product_id');
        if (!$products) {
            Dever::alert('请传入正确的产品id');
        }

        if ($address_name && $mobile && $address) {
            $num = Dever::input('num');
            $products = explode(',', $products);
            $num = explode(',', $num);

            $name = array();
            $price = 0;
            foreach ($products as $k => $v) {
                $product = Dever::db('product/info')->one($v);
                if (count($name) >= 3) {

                } else {
                    $name[] = $product['name'];
                }

                $cart = Dever::db('product/cart')->state(array('product_id' => $v, 'uid' => $this->data['uid']));
                if ($cart) {
                    foreach ($cart as $k1 => $v1) {
                        Dever::db('product/cart')->delete($v1['id']);
                    }
                }

                
                $price = $price + ($product['pay_price'] * $num[$k]);
            }

            $user = Dever::db('passport/user')->one($this->data['uid']);
            $wechat = Dever::db('passport/wechat')->one(array('uid' => $this->data['uid']));

            $name = implode(',', $name);

            $order_id = $this->createOrder('P');
            $order_data['order_id'] = $order_id;
            $order_data['product_id'] = $product_id;
            $order_data['uid'] = $this->data['uid'];
            if ($invite_uid > 0) {
                $order_data['invite_uid'] = $invite_uid;
            }
            
            $order_data['type'] = 1;
            $order_data['status'] = 1;
            $order_data['name'] = $name;
            $order_data['num'] = Dever::input('num');
            $order_data['address_name'] = $address_name;
            $order_data['address_mobile'] = $mobile;
            $order_data['address_address'] = $address;
            $order_data['cash'] = $price;

            $id = Dever::db('product/order')->insert($order_data);

            //$param参数
            $param = array
            (
                'account_id' => 1,
                'uid' => $this->data['uid'],
                'username' => $user['username'],
                'name' => $name,
                'cash' => $price,
                //'refer' => '1',
                'openid' => $wechat['openid'],
                'product_id' => $product_id,
                'order_id' => $order_id,
            );

            $this->addAddress();

            $this->data['pay'] = Dever::load('pay/api')->applet($param);

            if (isset($this->data['pay']['prepay_id'])) {
                Dever::setInput('form_id', $this->data['pay']['prepay_id']);
                $this->writeFormId();
            }
        } else {
            Dever::alert('请输入收货信息');
        }

        return $this->data;
    }

    # 根据code检索是否存在
    public function checkCode()
    {
        $code = Dever::input('code');

        if ($code) {

            $info = Dever::db('code/info')->one(array('code' => $code));

            if (!$info) {
                Dever::alert('兑换码不存在');
            }

            if ($info['type'] == 3) {
                Dever::alert('兑换码已被使用');
            }

            if ($info['type'] == 2 && $this->data['uid'] != $info['uid']) {
                //Dever::alert('兑换码已被领取');
            }

            $order = Dever::db('product/order')->one(array('code' => $code));

            if ($order) {
                Dever::alert('兑换码已被使用');
            }

            if ($info['product_id']) {
                $product = Dever::db('product/info')->one($info['product_id']);
                $this->data['product'] = array($product);
                $this->data['address'] = Dever::db('product/address')->one(array('uid' => $this->data['uid']));

                return $this->data;
            }

        } else {
            Dever::alert('请输入完整的兑换码');
        }

        return true;
    }

    # 兑换
    public function code()
    {
        $product_id = Dever::input('product_id', false, '> 0', '请传入正确的产品id');

        $code = Dever::input('code');

        $name = Dever::input('name');
        $mobile = Dever::input('mobile');
        $address = Dever::input('address');
        $invite_uid = Dever::input('invite_uid', 0);

        if ($code && $name && $mobile && $address) {

            $product = Dever::db('product/info')->one($product_id);

            $info = Dever::db('code/info')->one(array('product_id' => $product_id, 'code' => $code));

            if (!$info || ($info && $info['state'] != 1)) {
                Dever::alert('兑换码不存在');
            }

            if ($info['type'] == 3) {
                Dever::alert('兑换码已被使用');
            }

            if ($info['type'] == 2 && $this->data['uid'] != $info['uid']) {
                //Dever::alert('兑换码已被领取');
            }

            $order = Dever::db('product/order')->one(array('product_id' => $product_id, 'code' => $code, 'uid' => $this->data['uid']));

            if ($order) {
                Dever::alert('您已经使用过该兑换码');
            }

            Dever::db('code/info')->update(array('where_id' => $info['id'], 'type' => 3, 'uid' => $this->data['uid'], 'ldate' => time()));

            $order_id = $this->createOrder('C');

            $order_data['order_id'] = $order_id;
            $order_data['product_id'] = $product_id;
            $order_data['uid'] = $this->data['uid'];
            $order_data['code'] = $code;
            if ($invite_uid > 0) {
                $order_data['invite_uid'] = $invite_uid;
            }
            
            $order_data['type'] = 2;
            $order_data['status'] = 2;
            $order_data['name'] = $product['name'];
            $order_data['address_name'] = $name;
            $order_data['address_mobile'] = $mobile;
            $order_data['address_address'] = $address;

            $id = Dever::db('product/order')->insert($order_data);

            $this->addAddress();
        } else {
            Dever::alert('请输入完整的兑换码或者收货信息');
        }

        return true;
    }

    private function createOrder($prefix = 'C')
    {
        $order = Dever::order($prefix);

        $info = Dever::db('product/order')->one(array('order_id' => $order));

        if ($info) {
            return $this->createOrder();
        }

        return $order;
    }

    # 记录form_id 之后加上清理过期的form_id 七天过期
    public function writeFormId()
    {
        $product_id = Dever::input('product_id', false, '> 0', '请传入正确的产品id');
        $form_id = Dever::input('form_id');
        if ($product_id > 0 && $form_id) {
            $update = array();
            $update['product_id'] = $product_id;
            $update['form_id'] = $form_id;
            $update['uid'] = $this->data['uid'];
            
            $id = Dever::upinto('product/form_id', $update, $update);
        }

        return 'ok';
    }

    # 添加到购物车
    public function addCarts()
    {
        $product_id = Dever::input('product_id', false, '> 0', '请传入正确的产品id');
        $num = Dever::input('num', false, '> 0', '请传入数量');
        $uid = $this->data['uid'];
        if ($product_id > 0 && $num) {
            $update = array();
            $update['product_id'] = $product_id;
            $update['uid'] = $this->data['uid'];
            
            $info = Dever::db('product/cart')->one($update);
            if ($info) {
                $update['where_id'] = $info['id'];
                $update['num'] = $info['num'] + $num;
                Dever::db('product/cart')->update($update);
            } else {
                $update['num'] = $num;
                Dever::db('product/cart')->insert($update);
            }
        }

        return 'ok';
    }

    # 购物车列表
    public function carts()
    {
        $where = array();
        $where['uid'] = $this->data['uid'];
        
        $this->data['carts'] = Dever::db('product/cart')->getAll($where);

        if ($this->data['carts']) {
            foreach ($this->data['carts'] as $k => $v) {
                $this->data['carts'][$k]['product'] = Dever::db('product/info')->one($v['product_id']);
            }
        }

        $this->data['address'] = Dever::db('product/address')->one($where);

        return $this->data;
    }

    # 删除购物车的数据
    public function delCarts()
    {
        $product_id = Dever::input('product_id', false, '> 0', '请传入正确的产品id');
        $uid = $this->data['uid'];
        if ($product_id > 0) {
            $update = array();
            $update['product_id'] = $product_id;
            $update['uid'] = $this->data['uid'];
            
            $info = Dever::db('product/cart')->one($update);
            if ($info) {
                $update['where_id'] = $info['id'];
                Dever::db('product/cart')->delete($update);
            }
        }

        return 'ok';
    }

    # 添加收货地址
    public function addAddress()
    {
        $name = Dever::input('name');
        $mobile = Dever::input('mobile');
        $address = Dever::input('address');
        $uid = $this->data['uid'];
        if ($name && $mobile && $address) {
            $update = array();
            $update['uid'] = $this->data['uid'];
            
            $info = Dever::db('product/address')->one($update);
            if ($info) {
                $update['where_id'] = $info['id'];
                $update['name'] = $name;
                $update['mobile'] = $mobile;
                $update['address'] = $address;
                Dever::db('product/address')->update($update);
            } else {
                $update['name'] = $name;
                $update['mobile'] = $mobile;
                $update['address'] = $address;
                Dever::db('product/address')->insert($update);
            }
        }

        return 'ok';
    }
}
